#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <strings.h>

char *prevod(long num, char *str, int soustava)
{
    char cislice[36] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 
                        'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J',
                        'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T',
                        'U', 'V', 'W', 'X', 'Y', 'Z'};
    if (num == 0) strcpy(str, "0");
    while (num > 0) {
        strcpy(str+1, str);
        str[0] = cislice[num%soustava];
        num /= soustava;
    }
	return str;
}

